Bug 1070600 - linux-firmware - change in descriptions
Summary: linux-firmware - change in descriptions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-27 08:24 UTC by poma
Modified: 2014-03-07 04:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 19:50:36 UTC


Attachments (Terms of Use)
linux-firmware - iwlwifi diff (6.97 KB, patch)
2014-02-27 08:26 UTC, poma
no flags Details | Diff

Description poma 2014-02-27 08:24:46 UTC
Regarding changes 'iwlagn' -> 'iwlwifi', 

$ modinfo iwlwifi 
filename:       /lib/modules/3.13.5-200.fc20.x86_64/kernel/drivers/net/wireless/iwlwifi/iwlwifi.ko
license:        GPL
author:         Copyright(c) 2003-2013 Intel Corporation <ilw@linux.intel.com>
version:        in-tree:d
description:    Intel(R) Wireless WiFi driver for Linux
firmware:       iwlwifi-100-5.ucode
firmware:       iwlwifi-1000-5.ucode
firmware:       iwlwifi-135-6.ucode
firmware:       iwlwifi-105-6.ucode
firmware:       iwlwifi-2030-6.ucode
firmware:       iwlwifi-2000-6.ucode
firmware:       iwlwifi-5150-2.ucode
firmware:       iwlwifi-5000-5.ucode
firmware:       iwlwifi-6000g2b-6.ucode
firmware:       iwlwifi-6000g2a-5.ucode
firmware:       iwlwifi-6050-5.ucode
firmware:       iwlwifi-6000-4.ucode
firmware:       iwlwifi-3160-7.ucode
firmware:       iwlwifi-7260-7.ucode
...

As for the URL & Source0 change, 
https://git.kernel.org/cgit/linux/kernel/git/dwmw2/linux-firmware-backup.git/tree/README

Comment 1 poma 2014-02-27 08:26:20 UTC
Created attachment 868349 [details]
linux-firmware - iwlwifi diff

Comment 2 Josh Boyer 2014-02-27 13:32:38 UTC
I'm not going to change Source0 to point at googlesource.  That isn't where we're getting things at all these days, because they're git snapshots I do locally.  I'll figure out the appropriate thing to put there.

As for the description change, it's technically correct.  I might make it a bit less specific though and change it to "... the Intel wireless drivers..." instead of iwlwifi.  I don't want to repeat this exercise when iwlwifi changes to some other name in the future, or we have a HW specific driver show up.

Comment 3 poma 2014-02-27 14:58:59 UTC
OK, if it is a locally generated tarball, this would suffice:
Source0:	%{name}-%{version}.tar.gz
(In reply to Josh Boyer from comment #2)
> I'm not going to change Source0 to point at googlesource.  That isn't where
> we're getting things at all these days, because they're git snapshots I do
> locally.  I'll figure out the appropriate thing to put there.

OK, if it is locally generated tarball, this should suffice:
Source0:	%{name}-%{version}.tar.gz

> As for the description change, it's technically correct.  I might make it a
> bit less specific though and change it to "... the Intel wireless
> drivers..." instead of iwlwifi.  I don't want to repeat this exercise when
> iwlwifi changes to some other name in the future, or we have a HW specific
> driver show up.

Practice makes perfect! :)
It's OK, just as long as it does not mention non-existent module.

Comment 4 poma 2014-02-27 15:07:10 UTC
This is the Bugzilla fault!
Only one 'Source0'! :)

Comment 5 Josh Boyer 2014-03-04 19:50:36 UTC
Fixed in git.  This will be included in whatever build we do next for linux-firmware in rawhide.

Comment 6 poma 2014-03-07 04:27:18 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.